﻿using System.Collections.ObjectModel;
using DataSource;
using Models;

namespace WpfApplication1
{
    public class ViewModel : ObservableModel
    {
        private ObservableCollection<Product> _products;
        public ObservableCollection<Product> Products
        {
            get
            {
                return this._products;
            }
            set
            {
                if (this._products != value)
                {
                    this._products = value;
                    this.OnPropertyChanged("Products");
                }
            }
        }

        public ViewModel()
        {
            if (this.Products == null)
                this.Products = DataUtil.Products;
        }
    }
}
